<?php
/**
 * The archive pages template
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 */

get_header(); ?>

<main role="main">
	<header class="page-header">
		<div class="container">
			<?php
				the_archive_title( '<h1 class="page-title">', '</h1>' );
				the_archive_description( '<div class="taxonomy-description">', '</div>' );
			?>
		</div>
	</header>
	<div class="container">
		<section class="main__content column column--large">
			<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>
    			<h2><a href="<?php echo esc_url( get_permalink() ); ?>"><?php the_title(); ?></a></h2>
    			
    			<?php the_excerpt(); ?>
    			
    			<p><a href="<?php echo esc_url( get_permalink() ); ?>"><?php _e('Continue reading', 'zeros') ?></a></p>
			<?php endwhile;
			else :
	    		esc_html_e( 'Sorry, no posts matched your criteria.', 'zeros' );
			endif; ?>
		</section>

		<?php get_sidebar(); ?>
	</div>
</main>

<?php get_footer(); ?>
