<?php
/**
 * Template for comments section
 *
 */
if ( post_password_required() ) {
    return;
}
?>

<section class="post-comments">
	<?php if ( have_comments() ) : ?>
        <h3 class="comments-title">
            <?php
                $comments_count = get_comments_number();

               if ( $comments_count == 1 ) {
                    esc_html_e('One comment', 'zeros');
               } else {
                printf(
                    // translators: %1$s is replaced with the number of comments
                    _nx(
                        '%1$s Comment',
                        '%1$s Comments',
                        $comments_count,
                        'comments title',
                        'zeros'
                    ),
                    number_format_i18n( $comments_count ),
                    get_the_title()
                );
               }
            ?>
        </h3>
 
        <ol class="comment-list">
            <?php
                wp_list_comments( array(
                    'style'       => 'ol',
                    'short_ping'  => true,
                    'avatar_size' => 74,
                ) );
            ?>
        </ol>
 
        <?php
            // Comment navigation
            if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) :
        ?>
            <nav class="navigation comment-navigation" role="navigation">
                <h1 class="screen-reader-text section-heading"><?php esc_html_e( 'Comment navigation', 'zeros' ); ?></h1>
                <div class="nav-previous"><?php previous_comments_link( __( '&larr; Older Comments', 'zeros' ) ); ?></div>
                <div class="nav-next"><?php next_comments_link( __( 'Newer Comments &rarr;', 'zeros' ) ); ?></div>
            </nav>
        <?php endif; ?>
    <?php endif;

    if ( ! comments_open() && get_comments_number() && post_type_supports( get_post_type(), 'comments' ) ) :
	?>

		<p class="no-comments"><?php esc_html_e( 'Comments are closed.', 'zeros' ); ?></p>
	<?php
	endif;

    comment_form(); ?>
</section>