<?php
/**
 * The main template
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 */
get_header();?>

<main role="main">
	<?php
		$class_modifier = is_front_page() ? 'frontpage-header' : '';
		$header_image   = get_header_image();
		$background     = '';
		
		if ( '' != $header_image && is_front_page() ) {
			$background = 'style="background-image: url('.$header_image.');"';
		}
	?>

	<header class="page-header <?php echo esc_attr($class_modifier); ?>" <?php echo $background; ?>>
		<div class="container">
			<?php if ( is_front_page() ) : ?>
				<div class="frontpage-header__title">
					<?php $tagline = get_theme_mod ('frontpage_tagline', '');?>
					<p class="site-tag"><?php echo esc_html($tagline); ?></p>
					<h1 class="site-title"><?php echo esc_html( get_bloginfo( 'name' ) ); ?></h1>
				</div>
			<?php else: ?>
				<h1 class="page-title"><?php single_post_title(); ?></h1>
			<?php endif; ?>
		</div>
	</header>

	<div class="container">
		<section class="main__content column column--large">
			<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>

    			<h2><?php the_title(); ?></h2>
    			<?php
    				the_content();

				 	$defaults = array(
						'before'           => '<p>' . __( 'Pages:', 'zeros' ),
						'after'            => '</p>',
						'link_before'      => '',
						'link_after'       => '',
						'next_or_number'   => 'number',
						'separator'        => ' ',
						'nextpagelink'     => __( 'Next page', 'zeros'),
						'previouspagelink' => __( 'Previous page', 'zeros' ),
						'pagelink'         => '%',
						'echo'             => 1
					);
				    wp_link_pages( $defaults );	 			   

			endwhile;
			// Posts navigation.
 			   $defaults = array(
 			        'next_text' => '<span class="meta-nav" aria-hidden="true">' . __( 'Next', 'zeros' ) . ': </span> ' .
						'<span class="screen-reader-text">' . __( 'Next post:', 'zeros' ) . '</span> ' .
						'<span class="post-title">%title &#187;</span>',
					'prev_text' => '<span class="meta-nav" aria-hidden="true">' . __( '&#171; Previous', 'zeros' ) . ' :</span> ' .
						'<span class="screen-reader-text">' . __( 'Previous post:', 'zeros' ) . '</span> ' .
						'<span class="post-title">%title</span>',
 			   );
 			   the_post_navigation(  $defaults );
			else :
	    		esc_html_e( 'Sorry, no posts matched your criteria.', 'zeros' );
			endif; ?>
		</section>

		<?php get_sidebar(); ?>
	</div>
</main>

<?php get_footer(); ?>
