<?php
/**
 * The search results page template
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#search-result
 *
 */

get_header(); ?>

<main role="main">
	<header class="page-header">
		<div class="container">
			<?php if ( have_posts() ) : ?>
				<!-- translators: %s is replaced with the search term -->
				<h1 class="page-title"><?php printf( esc_html( 'Search results for: %s', 'zeros' ), '<span>' . get_search_query() . '</span>' ); ?></h1>
			<?php else :
	    		esc_html_e( 'Sorry, no posts matched your criteria.', 'zeros' );
			endif; ?>
		</div>
	</header>
	<div class="container">
		<section class="main__content column column--large">
			<?php get_template_part( 'template-parts/post/content','excerpt' ); ?>
		</section>

		<?php get_sidebar(); ?>
	</div>
</main>

<?php
get_footer();
