<?php
/**
 * Footer widgets area template
 *
 */
?>

<?php
	// Footer widget area can have up to 3 columns
	if ( is_active_sidebar('sidebar-2') ||  is_active_sidebar('sidebar-3') ||  is_active_sidebar('sidebar-4') ) :
?>

<aside role="complementary" aria-label="<?php esc_attr_e( 'Footer', 'zeros' ); ?>">
	<?php 
		$columns_counter = get_theme_mod( 'footer_widget_counter','Three');
		
		switch ($columns_counter){
			case 'one': ?>

				<div class="one-column-sidebar">
					<?php if ( is_active_sidebar( 'sidebar-2' ) ) {
						dynamic_sidebar( 'sidebar-2' );
					} else {
						echo '<small>'.esc_html('Please configure Footer sidebar 1', 'zeros').'</small>';
					} ?>	
				</div>

				<?php break;

			case 'two': ?>

				<div class="column column--half">
					<?php 
					if ( is_active_sidebar( 'sidebar-2' ) ) { 
						dynamic_sidebar( 'sidebar-2' ); 
					} else {
						echo '<small>'.esc_html('Please configure Footer sidebar 1', 'zeros').'</small>';
					} ?>
					</div>
					<div class="column column--half">
					<?php if ( is_active_sidebar( 'sidebar-3' ) ) { 
						dynamic_sidebar( 'sidebar-3' ); 	
					} else {
						echo '<small>'.esc_html('Please configure Footer sidebar 2', 'zeros').'</small>';
					}?>
				</div>
	
				<?php break;
			
			case 'three': ?>

				<div class="column column--third">
					<?php 
					if ( is_active_sidebar( 'sidebar-2' ) ) { 
						dynamic_sidebar( 'sidebar-2' ); 
					} else {
						echo '<small>'.esc_html('Please configure Footer sidebar 1', 'zeros').'</small>';
					} ?>
				</div>
				
				<div class="column column--third">
					<?php if ( is_active_sidebar( 'sidebar-3' ) ) { 
						dynamic_sidebar( 'sidebar-3' ); 	
					} else {
						echo '<small>'.esc_html('Please configure Footer sidebar 2', 'zeros').'</small>';
					} ?>
				</div>

				<div class="column column--third">
					<?php if ( is_active_sidebar( 'sidebar-4' ) ) { 
						dynamic_sidebar( 'sidebar-4' ); 	
					} else {
						echo '<small>'.esc_html('Please configure Footer sidebar 3', 'zeros').'</small>';
					}?>
				</div>
				<?php break;
			default:
				break;    
		}
		
	?>
</aside>


<?php endif; ?>